Bug 225480

Summary: net/openldap24-server: create option for autogroup module
Product: Ports & Packages Reporter: cullum
Component: Individual Port(s)Assignee: Xin LI <delphij>
Status: Closed FIXED    
Severity: Affects Some People CC: delphij
Priority: --- Flags: bugzilla: maintainer-feedback? (delphij)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch for an AUTOGROUP build option none

Description cullum 2018-01-27 03:06:16 UTC
Created attachment 190095 [details]
patch for an AUTOGROUP build option

The autogroup module is included in many Linux packages of openldap, such as Ubuntu, and allows dynamic groups to be used in search queries (such as dynamic posixGroups, for example).

The attached patch contains a small modification to the port's Makefile and pig-plist, adding an AUTOGROUP option to build and install the autogroup module.
Comment 1 cullum 2018-01-27 04:16:31 UTC
Feel free to close this bug - turns out enabling autogroup causes openldap to segfault repeatedly.
Comment 2 Xin LI freebsd_committer 2018-01-28 20:02:45 UTC
(In reply to Cullum Smith from comment #1)
It's probably worthy to report this to upstream if you haven't already (at http://www.openldap.org/its/; this module haven't been updated for quite long time but I'm not sure how many people actually uses it)
Comment 3 Xin LI freebsd_committer 2021-08-02 04:52:59 UTC
This is fixed in -HEAD.